WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced PHP Protection

— Add-On pour WorldWideScripts.net

@fr1wwsAbonnez-vous à notre RSS pour rester à jour!

Nouveau! Suivez-nous que vous le souhaitez!


Advanced PHP Protection - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting
Caractéristiques principales:
  • Fonctionne avec ne importe quel fichier.php.
  • mot de passe personnalisé et les pages d'avertissement de la force brutale.
  • Fonctions bien documenté.
  • Peut être facilement intégré dans une base de données mis en place avec plusieurs utilisateurs.
  • Mode ligne unique, de protéger ne importe quelle page en incluant simplement le fichier.
  • Les mots de passe peuvent être définis comme soit un md5 de hachage SHA1 ou texte si vous préférez.
  • Côté serveur protection de la force brute, avec des options pour modifier le nombre maximal de tentatives et la durée de bloc.
  • Aucune base de données ou d'installation nécessaires.
  • Email support fourni.
  • Poids léger.

NOTE: La séance est utilisé pour stocker le nom d'utilisateur et mot de passe afin que vous ne avez pas à vous identifier à nouveau lorsque la page est rechargée. Les variables $ _SESSION [â € ~usernameâ € ™] et $ _SESSION [€ ~passwordâ € ™ â] sont utilisés par défaut, si vous avez besoin de les utiliser dans le script étant protégé, vous pouvez définir des noms personnalisés en utilisant les custom_session_keys (fonction), voir la documentation pour plus d'informations.



Exemple Usage:
Mode Standard

 include ('secure / security.class.inc.php'); $ = New passe sécurisé; // Définit le nom d'utilisateur et mot de passe, dans ce cas comme un sha1 $ De passe> set_credentials ('admin', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8'); // Définir le type de hachage $ De passe> set_hash_type ('sha1'); // Fixer des clés de session personnalisé $ De passe> custom_session_keys ('nom', 'pass'); // Activer la protection de la force brutale, désactivés par défaut. $ De passe> brute_force_protect (); // Définir une page personnalisée pour l'utilisateur d'être envoyés si le mot de passe est entré de manière incorrecte. $ De passe> redirect_on_fail ('http://yourdomain.com/denied.html'); // Enfin appliquer la protection à la page. $ De passe> protéger (); echo 'contenu protégé ici.'; 


Mode simple ligne

 include ('secure / security.class.inc.php'); echo 'contenu protégé ici. 


Documentation: http://jacekk.co.uk/code/page_protect/README.html

Exemple de la page de connexion inclus
http://jacekk.co.uk/code/page_protect/example.php
Nom d'utilisateur: admin
Mot de passe: citron


REMARQUE: ce script ne fonctionnera que si vous avez la version de PHP supérieure à 5,1. Je ai eu quelques courriels de gens qui se plaignent d'une page blanche qui utilisaient PHP4. Vous pouvez vérifier la version que vous en utilisant le code suivant.
 <? Php echo phpversion (); ?> 

Je nâ € ™ t veulent à personne de perdre leur argent.

Soutien
Se il ya des problèmes avec ce point, le meilleur endroit pour poser est dans le forum que je vérifie qu'au moins une fois par jour.
http://betterphp.co.uk/board/viewforum.php?f=29

Télécharger
D'autres éléments de ce typeTous les composants de cet auteur
CommentairesFoire aux questions et réponses

Propriétés

Créé:
27 Avril 10

Dernière mise à jour:
N / A

Navigateurs compatibles:
IE6, IE7, IE8, Firefox, Safari, Opera, Chrome 4, Chrome 5

Fichiers inclus:
JS JavaScript, HTML, CSS, PHP, Version du logiciel

Mots-clés

eCommerce, tous les objets, auth, l'authentification, brute, la force, mot de passe, la pré, vention, la protection, le script, sé, curiser